Bug 106151 - Please use ngettext for handling plurals in anaconda
Please use ngettext for handling plurals in anaconda
Product: Red Hat Linux Beta
Classification: Retired
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
Blocks: 106150
  Show dependency treegraph
Reported: 2003-10-03 06:38 EDT by Christian Rose
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-03 14:39:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christian Rose 2003-10-03 06:38:24 EDT
#: ../iw/progress_gui.py:43
msgid " Byte"

#: ../iw/progress_gui.py:45
msgid " Bytes"

As mentioned in
this way of handling plurals is broken for many locales. A way to solve
this is by using ngettext instead as mentioned in that document.
A simple code example of code using ngettext:

  g_printf (ngettext ("Found %d file.", "Found %d files.", nbr_of_files),

Something similar should work in Python too.
Comment 1 Jeremy Katz 2003-10-03 14:39:01 EDT
python doesn't currently have an ngettext implementation.
Comment 2 Christian Rose 2003-10-15 18:47:42 EDT
This also applies to:

#: ../iw/progress_gui.py:167
#, python-format
msgid "Remaining time: %s minutes"

Note You need to log in before you can comment on or make changes to this bug.